#include "Window.h"
#include "Math/Matrix.h"

using namespace Seele;
using namespace Seele::Gfx;

Window::Window() {}

Window::~Window() {}

Viewport::Viewport(PWindow owner, const ViewportCreateInfo& viewportInfo)
    : sizeX(viewportInfo.dimensions.size.x), sizeY(viewportInfo.dimensions.size.y), offsetX(viewportInfo.dimensions.offset.x),
      offsetY(viewportInfo.dimensions.offset.y), owner(owner) {
    if (owner != nullptr) {
        sizeX = std::min(owner->getFramebufferWidth(), sizeX);
        sizeY = std::min(owner->getFramebufferHeight(), sizeY);
    }
}

Viewport::~Viewport() {}
